
void phase_2_14(undefined8 param_1)

{
  int local_28 [7];
  int local_c;
  
  read_six_numbers(param_1,local_28);
  GenerateRandomNumber(0x32);
  if ((long)local_28[0] != rand_div + 0x10) {
    explode_bomb();
  }
  for (local_c = 0; local_c < 6; local_c = local_c + 1) {
    if (local_28[local_c] < 0) {
      explode_bomb();
    }
  }
  for (local_c = 1; local_c < 6; local_c = local_c + 1) {
    if ((local_28[local_c + -1] < local_28[local_c]) || (local_28[local_c] < 1)) {
      explode_bomb();
    }
  }
  return;
}

